# StreamNegotiationsDoneEvent class

Triggered when the stream negotiations are done.

Inheritance
  - Object
  - XmppEvent
  - StreamNegotiationsDoneEvent

## Constructors

StreamNegotiationsDoneEvent (bool resumed)

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
resumed → bool
  Flag indicating whether we resumed a previous stream (true) or are in a completely new stream (false).
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited